> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user

> Get user by ID



## OpenAPI

````yaml get /v1/users/{id}
openapi: 3.0.0
info:
  title: Users API
  version: 1.0.0
  description: API for user management and authentication
servers: []
security:
  - bearerAuth: []
tags:
  - name: Registration
    description: User registration operations
  - name: Users
    description: User management operations
  - name: Credentials
    description: Credential management operations
  - name: Password
    description: Password management operations
paths:
  /v1/users/{id}:
    get:
      tags:
        - Users
      summary: Get user
      description: Get user by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: User details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
        active:
          type: boolean
        lang:
          type: string
        mfa_mode:
          type: string
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  responses:
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: users.user_not_found
            message: User not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````